[arch-commits] Commit in libxdmcp/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 01:56:38 EDT 2009


    Date: Tuesday, April 14, 2009 @ 01:56:38
  Author: eric
Revision: 35590

Merged revisions 35589 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxdmcp/trunk

........
  r35589 | eric | 2009-04-14 01:56:23 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxdmcp 1.0.2-2
      Added license
........

Modified:
  libxdmcp/repos/extra-x86_64/	(properties)
  libxdmcp/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)


Property changes on: libxdmcp/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxdmcp/trunk:1-20836
   + /libxdmcp/trunk:1-35589

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-14 05:56:23 UTC (rev 35589)
+++ extra-x86_64/PKGBUILD	2009-04-14 05:56:38 UTC (rev 35590)
@@ -3,10 +3,11 @@
 
 pkgname=libxdmcp
 pkgver=1.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Display Manager Control Protocol library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('xproto' 'glibc')
 makedepends=('pkgconfig')
 options=('!libtool')
@@ -14,9 +15,10 @@
 md5sums=('10facf2bc7cbd5e5c1a698b8a210a582')
 
 build() {
-  cd ${startdir}/src/libXdmcp-${pkgver}
+  cd ${srcdir}/libXdmcp-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --host=${CHOST} --build=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list